selected

A function that can be used in Formulas.

## Syntax and semantics

`selected` ( )
  return the ID of the topmost selected object.
`selected` (`i`)
  return the ID of the ith selected object (as counted from the top, or from the bottom if `i` is negative).
`selected` (`type$`)
  return the ID of the topmost selected object of type `type$`.
`selected` (`type$`, `i`)
  return the ID of the ith selected object of type `type$` (as counted from the top, or from the bottom if `i` is negative).

## Usage

For examples, see Scripting 4.3. Querying objects.

### Links to this page

- `selected$`
- Functions